### Method

# GLib Node prepend

#### Declaration

    GNode*
    g_node_prepend (
      GNode* parent,
      GNode* node
    )

#### Description

Inserts a `GNode` as the first child of the given parent.

This method is not directly available to language bindings.

#### Parameters

`node`

  Type: `GNode`

  The `GNode` to insert.

  The data is owned by the caller of the method.

#### Return value

Type: `GNode`

The inserted `GNode`.

The data is owned by the instance.